Subject: bug#55778: 29.0.50; [PATCH] M-. into a .gz; we've all been there.

From: Dmitry Gutov <[email-masked]>
Date: Fri, 3 Jun 2022 16:24:26 +0300

On 03.06.2022 09:27, [email-masked] wrote:
> emacs -Q --eval "(custom-set-variables '(xref-prefer-source-directory t))"

Unrelated changes aside, this new option seems to be designed for and 
only affect the elisp backend, right?

Then it should reside in elisp-mode.el, shouldn't it?

The way xref-preferred-source breaks the abstraction doesn't look great 
either. Maybe that logic could live in help-fns.el or find-func.el.